RDUP-UP(1)

NAME
@PACKAGE_NAME@-up - update a directory tree with a rdup archive

SYNOPSIS
@PACKAGE_NAME@-up [OPTION]... DIRECTORY

DESCRIPTION
With rdup-up you can update an (possibly) existing directory structure with a rdup archive. rdup-up reads rdup -c input.

OPTIONS

-n  Do a dry-run and do not create anything on disk.

-t PATH
    Create PATH (ala mkdir -p) if it does not exist.

-s N
    Strip N path components from a pathname. If the resulting pathname is empty after this operation it is skipped. Be careful however with the following structure:
        /foo
        /foo/bar
        /foo/bar/bla.txt
        /foo/blork/bla.txt With rdup-up -s2 this will leave:
        <empty>
        <empty>
        /bla.txt
        /bla.txt And the last 'bla.txt' will overwrite the previous one.

-v  Be more verbose and echo the processed files to standard output.

-vv Be even more verbose and echo processed file and the uid and gid information to standard output.

-h  A short help message.

-V  Show the version.

EXIT CODE
rdup-up return a zero exit code on success, otherwise 1 is returned.

AUTHOR
Written by Miek Gieben.

REPORTING BUGS
Report bugs to <miek@miek.nl>.

SEE ALSO
http:/www.miek.nl/projects/rdup/ is the main site of rdup. Also see rdup(1), rdup-tr(1) or rdup-backups(7).

COPYRIGHT
Copyright (C) 2005-2009 Miek Gieben. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Licensed under the GPL version 3. See the file LICENSE in the source distribution of rdup.